# Donation Products Donation Products ## Gets all of the donation products in the system. - [GET /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/listdonationproducts.md): This method will scan all donation products and and return them to the caller. ## Creates a new donation product record that does not already exist. - [POST /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/createdonationproduct.md): This method will auto-generate an ID and create a new donation product. If an ID is specified for the donation product, an error will be thrown. ## Execute Batch Operations - [POST /donationProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a donation product from the system by its ID. - [DELETE /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/deletedonationproduct.md): This method will delete a donation product with the specified ID. ## Returns a donation product from the system by its ID. - [GET /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/getdonationproduct.md): This method will look up a donation product by the specified ID and return it back. ## Partially updates a donation product with the specified ID. - [PATCH /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/patchdonationproduct.md): This method will patch an existing donation product with the specified ID, using the HTTP PATCH specification. ## Updates a donation product with the specified ID. - [PUT /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/updatedonationproduct.md): This method will update an existing donation product with the specified ID.